AIX Open Source

 View Only
Expand all | Collapse all

Squid broken by libxml2 version 2.10.2-1

  • 1.  Squid broken by libxml2 version 2.10.2-1

    Posted Wed November 30, 2022 04:28 AM
    Hi,

    After installing libxml2 version 2.10.2-1, squid daemon cannot find "xmlSetFeature" symbol in libxml2.so.2 shared library, as can be seen below.
    $ whoami
    squid
    $ /opt/freeware/sbin/squid
    exec(): 0509-036 Cannot load program squid_64 because of the following errors:
    0509-130 Symbol resolution failed for squid_64 because:
    0509-136 Symbol xmlSetFeature (number 400) is not exported from
    dependent module /opt/freeware/lib/libxml2.a[libxml2.so.2].
    0509-192 Examine .loader section symbols with the
    'dump -Tv' command.
    $
    Rolling back libxml to version 2.9.14-1, using dnf history, allows squid to be restarted again.

    Best regards,

    Esa

    ------------------------------
    Esa Kärkkäinen
    ------------------------------


  • 2.  RE: Squid broken by libxml2 version 2.10.2-1

    Posted Wed November 30, 2022 06:48 AM
    Thanks for reporting the issue. 
    Looks like xmSetFeature is deprecated in libxml2 2.10.x version. We will be rebuilding squid with the new libxml2 version.

    ------------------------------
    Ayappan P
    ------------------------------